# $Revision: 1.32 $Date: 2009/06/29 19:58:48 $
%include        /usr/lib/rpm/macros.perl
Summary:	LDAP Migration Tools
Summary(pl.UTF-8):	Narzędzia do migracji do LDAP
Name:		MigrationTools
Version:	47
Release:	11
License:	BSD
Group:		Networking/Admin
Source0:	http://www.padl.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	3faf83eb8482e55979bda47f1d1e6501
# http://www.padl.com/download/MigrationTools.txt
Source1:	%{name}.txt
Patch0:		%{name}-instdir.patch
Patch1:		%{name}-mktemp.patch
Patch2:		%{name}-simple.patch
Patch3:		%{name}-suffix.patch
Patch4:		%{name}-schema.patch
Patch5:		%{name}-noaliases.patch
Patch6:		%{name}-noddp.patch
Patch7:		%{name}-unique-hosts.patch
Patch8:		%{name}-sysconfdir.patch
Patch9:		%{name}-noproto.patch
Patch10:	%{name}-utf8.patch
Patch11:	%{name}-minmax-ugid.patch
Patch12:	%{name}-smbkrb5.patch
Patch13:	%{name}-options.patch
Patch14:	%{name}-distinguish_identically_named_services.patch
URL:		http://www.padl.com/OSS/MigrationTools.html
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MigrationTools are a set of Perl scripts for migrating users,
groups, aliases, hosts, netgroups, networks, protocols, RPCs, and
services from existing nameservices (flat files, NIS, and NetInfo) to
LDAP.

%description -l pl.UTF-8
MigrationTools to zestaw skryptów perlowych do migracji użytkowników,
grup, hostów, grup sieciowych, sieci, protokołów, RPC i serwisów z
istniejących serwisów nazw (zwykłych plików, NIS, NetInfo) do LDAP.

%package -n openldap-migration
Summary:	LDAP Migration Tools
Summary(pl.UTF-8):	Narzędzia do migracji do LDAP
Group:		Base
Requires:	openldap
Obsoletes:	ldap-MigrationTools

%description -n openldap-migration
The MigrationTools are a set of Perl scripts for migrating users,
groups, aliases, hosts, netgroups, networks, protocols, RPCs, and
services from existing nameservices (flat files, NIS, and NetInfo) to
LDAP.

%description -n openldap-migration -l pl.UTF-8
MigrationTools to zestaw skryptów perlowych do migracji użytkowników,
grup, hostów, grup sieciowych, sieci, protokołów, RPC i serwisów z
istniejących serwisów nazw (zwykłych plików, NIS, NetInfo) do LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
install %{SOURCE1} .

perl -pi -e 's|%%CONFDIR%%|%{_sysconfdir}/openldap/|g;\
	s|%%INSTDIR%%|%{_datadir}/openldap/migration/|g' *.pl *.sh README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/openldap,%{_datadir}/openldap/migration}

install *.sh *.pl $RPM_BUILD_ROOT%{_datadir}/openldap/migration
install migrate_common.ph $RPM_BUILD_ROOT%{_sysconfdir}/openldap

%clean
rm -rf $RPM_BUILD_ROOT

%files -n openldap-migration
%defattr(644,root,root,755)
%doc MigrationTools.txt README
%dir %{_datadir}/openldap/migration
%attr(755,root,root) %{_datadir}/openldap/migration/*.sh
%attr(755,root,root) %{_datadir}/openldap/migration/*.pl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/openldap/migrate_common.ph

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MigrationTools.spec,v $
Revision 1.32  2009/06/29 19:58:48  baggins
- rel 11
- added basic settings for kerberos tickets

Revision 1.31  2009/06/25 11:45:22  baggins
- rel 10
- fix typo
- revert debian utf8 crap

Revision 1.30  2009/06/25 10:33:06  baggins
- rel 9

Revision 1.29  2009/06/24 14:29:18  baggins
- rel 8
- allow passing alternate shadow and smbpasswd to migrate_passwd.pl

Revision 1.28  2009/06/24 11:45:53  baggins
- rel 7
- add sambagroupmapping objectclass to groups

Revision 1.27  2009/06/23 15:04:34  baggins
- rel 6
- added smbpasswd support to migrate_passwd.pl

Revision 1.26  2009/06/22 14:16:14  baggins
- rel 5
- properly handle generating stubs for samba and kerberos objectclasses

Revision 1.25  2009/06/22 12:37:46  baggins
- rel 4
- handle UTF-8 GECOS properly

Revision 1.24  2007/12/26 01:20:29  qboosh
- typo

Revision 1.23  2007-11-07 17:06:37  baggins
- rel 3
- add --min/maxu/gid options to group and passwd migration scripts

Revision 1.22  2007/11/05 23:51:20  baggins
- rel 2
- fixed parsing of /etc/services

Revision 1.21  2007/11/05 17:28:24  baggins
- rel 1
- changed group to Networking/Admin

Revision 1.20  2007/11/05 16:48:35  baggins
- updtaed to 47
- renamed to MigrationTools...
- ...but build openldap-migration package
- more patches from FC
- moved migrate_common.ph config to /etc/openldap
- cut down changelog

Revision 1.19  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.17  2005/09/02 19:07:13  qboosh
- it's .tar.gz

Revision 1.16  2005/09/02 19:06:43  qboosh
- use versioned source tarball

Revision 1.15  2005/08/31 19:48:38  mwinkler
- updated to 46

Revision 1.14  2004/04/29 00:44:41  undefine
- BA: noarch

Revision 1.13  2003/10/09 13:58:23  baggins
- removed services patch, it's wrong, fix rather /etc/services

Revision 1.12  2003/10/09 12:21:37  baggins
- updated to 45
- fixed migrating /etc/services
- fixed attrs for config file

Revision 1.11  2003/07/14 17:22:01  baggins
- version 44
- added patches from RH requires for openldap 2.1.x
